# user provided by infscren-client-syncer rpm
%define infscreen_user infscreen

Summary: infscreen displayer using framebuffer device
Name: infscreen-client-displayer-fb
Version: 0.2.3
Release: 1
# URL: 
Source0: %{name}-%{version}.tar.xz
License: GPL
BuildArchitectures: noarch
Requires: bash
Requires: bash-base
Requires: infscreen-client-syncer
Requires: ImageMagick
Requires: coreutils
Requires: fbset
Requires: gawk

Provides: infscreen-client-displayer = %{version}-%{release}

%description
Infscreen display using framebuffer device via convert and cat.

%prep
%setup -q

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}{%{_bindir},%{_unitdir}} \
    %{buildroot}%{_docdir}/%{name}-%{version}
cp -a bin/* %{buildroot}%{_bindir}/.
cp -a doc/* %{buildroot}%{_docdir}/%{name}-%{version}/.
cp %{name}.{service,target} %{buildroot}%{_unitdir}/.

%clean
rm -rf %{buildroot}

%post
systemctl daemon-reload
if [ $1 -gt 1 ]
then
    systemctl try-restart infscreen-client-displayer-fb
fi

%files
%doc %{_docdir}/%{name}-%{version}

%defattr(0755,root,root)
%{_bindir}/infscreen-displayer-fb
%defattr(0644,root,root,0755)
%{_unitdir}/%{name}.service
%{_unitdir}/%{name}.target
